
  public partial class person : System.Web.UI.Page
  {
  
  
      protected void Page_Load(object sender, System.EventArgs e)
      {
  
          if (Session["UserName"] != null && 【Session】["UserName"].ToString() != "")
          //	if(Session["UserName"].ToString()!=""&&Session["UserName"]!=null )
          {
              if (!Page.【IsPostBack】)
              {
                  ShowUserInfo();
              }
          }
          //如果未登录，转到登录页面
          else
          {
              Response.【Redirect】("login.aspx");
          }
      }
      //显示个人信息
      public void ShowUserInfo()
      {
  
          //从数据库读取个人信息       
          lblName.Text = Session["UserName"].ToString();
          string sql = "select RealName,Sex,Email from Users 【where】 UserName='" + lblName.Text + "'";
          【DataTable】 dt = DBHelper.GetTable(sql);
  
          //把个人信息显示在网页上
          lblRealName.Text =dt.【Rows】[0]["RealName"].ToString();
          lblSex.Text = dt.Rows[0]["Sex"].ToString();
          lblEmail.Text = dt.Rows[0]["Email"].ToString();
      }
  }

--答案--
   DataTable   where   IsPostBack   Redirect   Session